> For the complete documentation index, see [llms.txt](https://docs.orbs.network/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orbs.network/v3/orbs-lambda/step-by-step-overview/deploying-to-production.md).

# Deploying to Production

## Before you deploy

1. Make sure your project conforms to the strict directory structure specified in [Project Template](/v3/orbs-lambda/step-by-step-overview/project-template.md).<br>
2. Make sure your [test suite](/v3/orbs-lambda/step-by-step-overview/testing-locally.md) is passing and you're confident that the code is working.<br>
3. Make sure you're only using NPM packages from the [allowed list](/v3/orbs-lambda/step-by-step-overview/index.js-implementation/allowed-packages.md).<br>
4. If your lambda sends transactions, make sure you have enough funding for gas costs, as described under [Sending Transactions](/v3/orbs-lambda/step-by-step-overview/index.js-implementation/sending-transactions.md).

## Deploy your lambda

To deploy your lambda, submit a PR ([pull request](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/creating-a-pull-request)) to the official Orbs Lambda repo on GitHub.

GitHub repo: <https://github.com/orbs-network/orbs-lambda>

Once your PR is submitted, circleCI will go over it and run some sanity tests to make sure it conforms with our guidelines. It produces error messages so you can get an underrating of what's wrong.

Additional errors and feedback over your PR will appear in GitHub as comments. If your PR is merged successfully, there were no errors in the submission.

Your lambda may take several hours until it starts executing in production by the validators of the network. Validators synchronize lambda changes automatically several times a day.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.orbs.network/v3/orbs-lambda/step-by-step-overview/deploying-to-production.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
